<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fjhx.mail.mapper.enterprise.EnterpriseMailboxMapper">
    <select id="getPage" resultType="com.fjhx.mail.entity.enterprise.vo.EnterpriseMailboxVo">
        select em.id,
               em.domain_id,
               em.mail_user_prefix,
               em.mail_password,
               em.sync_status,
               em.default_status,
               em.user_id,
               em.create_user,
               em.create_time,
               em.update_user,
               em.update_time,
               ed.type,
               ed.domain_name,
               ed.send_host,
               ed.send_port,
               ed.send_protocol,
               ed.receive_host,
               ed.receive_port,
               ed.receive_protocol
        from enterprise_mailbox em
                 left join enterprise_domain ed on em.domain_id = ed.id
            ${ew.customSqlSegment}
    </select>

</mapper>
